package com.ruoyi.system.domain.crm;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("账户信息")
public class Address extends BaseEntity {

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("账户id")
    private String addressId;

    @ApiModelProperty("客户id")
    private String customerId;

    @ApiModelProperty("发票地址")
    private String invoiceAddress;//发票地址

    @ApiModelProperty("送货地址")
    private String sendAddress;//送货地址

    @ApiModelProperty("【发票地址】邮政信箱")
    private String invoicePostbox;//【发票地址】邮政信箱

    @ApiModelProperty("【送货地址】邮政信箱")
    private String sendPostbox;//【送货地址】邮政信箱

    @ApiModelProperty("【发票地址】国家")
    private String invoiceCountry;//【发票地址】国家

    @ApiModelProperty("【送货地址】国家")
    private String sendCountry;//【送货地址】国家

    @ApiModelProperty("【发票地址】省份")
    private String invoiceProvince;//【发票地址】省份

    @ApiModelProperty("【送货地址】省份")
    private String sendProvince;//【送货地址】省份

    @ApiModelProperty("【发票地址】城市")
    private String invoiceCity;//【发票地址】城市

    @ApiModelProperty("【送货地址】城市")
    private String sendCity;//【送货地址】城市

    @ApiModelProperty("【发票地址】邮编")
    private String invoicePostCode;//【发票地址】邮编

    @ApiModelProperty("【送货地址】邮编")
    private String sendPostCode;//【送货地址】邮编

    @ApiModelProperty("审核")
    private String isActive;

    @ApiModelProperty("客户名称")
    private String customerName;//销售经理

    @ApiModelProperty("姓名")
    private String userName;//销售经理

    @ApiModelProperty("公司id")
    private String companyId;

    private String salesManager;

    @ApiModelProperty("开户名称")
    private String accountName;//开户名称

    @ApiModelProperty("公司税号")
    private String companyTaxNum;//公司税号

    @ApiModelProperty("开户银行")
    private String bankOfDeposit;//开户银行

    @ApiModelProperty("银行账号")
    private String bankAccount;//银行账号

    @ApiModelProperty("公司地址")
    private String companyAddress;//公司地址

    @ApiModelProperty("公司电话")
    private String companyPhone;//公司电话

    @ApiModelProperty("纳税人")
    private String taxpayer;//纳税人

    @ApiModelProperty("税率")
    private  String customerTaxrate;//税率


}
