package com.ruoyi.system.domain.resume;


import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class Resume {

	private Long resumeId;//简历ID

    private String resumeName;//简历名称

    private String userName;//姓名

    private String gender;//性别

    private Date birthday;//生日

    private String age;//年龄

    private String degree;//学历

    private String experience;//工作年限

    private String mobile;//手机号码

    private String cardNo;//身份证账号

    private String email;//电子邮箱

    private Boolean isMarryed;//是否已婚

    private String residence;//居住地

    private String origin;//籍贯

    private String nationality;//民族

    private String graduateCollege;//毕业院校

    private String major;//专业

    private String lanuage;//语言水平

    private Date graduateDate;//毕业时间

    private String positionRating;//评级（低级，中级，高级）

    private String keyWords;//技能关键字

    private String jobObjective;//求职意向

    private String salary;//薪水

    private String selfIntroduce;//自我介绍

    private Long userId;//用户ID

    private String headUrl;//用户图片地址

    private Boolean isPrivate;//公开还是私密

    private Boolean isDeleted;//是否删除

    private Date createDate;//创建时间

    private Long updateUserId;//修改人

    private Date updateDate;//更新时间
    
    private String resumeDownloadUrl;//简历下载地址
    
    private String status;//状态
    
    private String birthDateString;//出生日期
    
    private String currentCompany;//当前公司
    
    private String industry;//所属行业
    
    private List<ResumeWork> workList;//工作履历
    
    private List<ResumeProject> projectList;//项目经验
    
    private List<ResumeEducation> eduList;//教育经历
    
    private String createUserName;//创建人
    
    private String projectName;//项目名称
    
    private Date bindDate;//绑定时间
    
    private String bindId;//绑定id
    
    private String ivnum;//参加面试的个数
    
    private String projectId;//项目id

    private String startTime; //开始时间

    private String endTime; //结束时间

    /**
     * 文件路径
     */
    private String fileUrl;

    private String workingPlace;// 工作地

    private String certificate;// 证书

    private String languageAbility;// 语言能力

    private String industryExperience;// 行业经验

    private String workExperience;// 工作经验

    private String post;// 岗位

    private String lastCompany;// 最近工作公司

    private String lastIndustry;// 最近工作行业

    private String lastPosition;// 最近工作职位

    private Integer demandId;// 需求id

    private Boolean isNeedInterviewer;// 是否需要面试官

    private Boolean isInternalDemand;// 是否内部需求

    private Boolean isGroupInterview;// 是否集中面试

    private String selfEvaluation;// 自我评价

    private String position;// 岗位

    private String interviewer;// 面试官

    private String interviewTime;// 面试时间

    private String exceptedSalary;// 期望薪资

    private Boolean isEnabled;// 是否可用

    private String corpId;//钉钉用户所属的组织的企业corpId

    private Long primaryScreeningUserId;// 简历初筛人员

    private ResumeFile resumeFile;//简历附件



}