package com.ruoyi.system.domain.resume;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 简历教育信息管理对象 resume_education
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public class ResumeEducation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 教育记录ID */
    private Long eduId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 入学时间 */
    @Excel(name = "入学时间")
    private String eduStartDate;

    /** 毕业时间 */
    @Excel(name = "毕业时间")
    private String eduEndDate;

    /** 学历 */
    @Excel(name = "学历")
    private String degree;

    /** 简历ID(外键) */
    @Excel(name = "简历ID(外键)")
    private Long resumeId;

    /** 描述 */
    @Excel(name = "描述")
    private String detail;

    /** 排序 */
    @Excel(name = "排序")
    private Long orderBy;

    public void setEduId(Long eduId) 
    {
        this.eduId = eduId;
    }

    public Long getEduId() 
    {
        return eduId;
    }
    public void setSchoolName(String schoolName) 
    {
        this.schoolName = schoolName;
    }

    public String getSchoolName() 
    {
        return schoolName;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setEduStartDate(String eduStartDate) 
    {
        this.eduStartDate = eduStartDate;
    }

    public String getEduStartDate() 
    {
        return eduStartDate;
    }
    public void setEduEndDate(String eduEndDate) 
    {
        this.eduEndDate = eduEndDate;
    }

    public String getEduEndDate() 
    {
        return eduEndDate;
    }
    public void setDegree(String degree) 
    {
        this.degree = degree;
    }

    public String getDegree() 
    {
        return degree;
    }
    public void setResumeId(Long resumeId) 
    {
        this.resumeId = resumeId;
    }

    public Long getResumeId() 
    {
        return resumeId;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setOrderBy(Long orderBy) 
    {
        this.orderBy = orderBy;
    }

    public Long getOrderBy() 
    {
        return orderBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("eduId", getEduId())
            .append("schoolName", getSchoolName())
            .append("major", getMajor())
            .append("eduStartDate", getEduStartDate())
            .append("eduEndDate", getEduEndDate())
            .append("degree", getDegree())
            .append("resumeId", getResumeId())
            .append("detail", getDetail())
            .append("orderBy", getOrderBy())
            .toString();
    }
}
