package com.ruoyi.tool.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 企业管理员对象 t_company_user
 * 
 * @author ruoyi
 * @date 2024-06-04
 */
public class TCompanyUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 企业应用ID */
    @Excel(name = "企业应用ID")
    private String agentid;

    /** 授权管理员用户ID */
    @Excel(name = "授权管理员用户ID 此id为钉钉的userid")
    private String userId;

    /** 授权企业的CorpId */
    @Excel(name = "授权企业的CorpId")
    private String corpid;

    /** 状态 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setAgentid(String agentid) 
    {
        this.agentid = agentid;
    }

    public String getAgentid() 
    {
        return agentid;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setCorpid(String corpid) 
    {
        this.corpid = corpid;
    }

    public String getCorpid() 
    {
        return corpid;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("agentid", getAgentid())
            .append("userId", getUserId())
            .append("corpid", getCorpid())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
