import request from '@/utils/request'
const system = "/system"

// 新增crm
export function add_customer(data) {
    return request({
        url: system + '/customer',
        method: 'post',
        data: data
    })
}
// 修改crm
export function update_customer(data) {
    return request({
        url: system + '/customer',
        method: 'put',
        data: data
    })
}
// 删除crm
export function del_customer(id) {
    return request({
        url: system + '/customer/' + id,
        method: 'delete'
    })
}
// 查询crm详情
export function get_customer(id) {
    return request({
        url: system + '/customer/' + id,
        method: 'get'
    })
}

// 查询crm列表
export function get_customer_list(query) {
    return request({
        url: system + '/customer/list',
        method: 'get',
        params: query
    })
}
