package com.ruoyi.tool.mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;

import com.ruoyi.tool.domain.AuthApply;

public interface AuthApplyMapper {
    /**
     * delete by primary key
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Long id);

    /**
     * insert record to table
     * @param record the record
     * @return insert count
     */
    int insert(AuthApply record);

    /**
     * insert record to table selective
     * @param record the record
     * @return insert count
     */
    int insertSelective(AuthApply record);

    /**
     * select by primary key
     * @param id primary key
     * @return object by primary key
     */
    AuthApply selectByPrimaryKey(Long id);

    /**
     * update record selective
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(AuthApply record);

    /**
     * update record
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(AuthApply record);

    List<AuthApply> selectByStatusAndCorpId(@Param("status")Integer status,@Param("corpId")String corpId);


}