package com.ruoyi.tool.service;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.tool.domain.AuthApply;

import java.util.List;

public interface IAuthApplyService {
    /**
     * @description: 授权申请
     * @return: void
     */
    void applyAuth(SysUser sysUser);

    /**
     * @description:  授权审批
     * @param: id
     * @param: userId
     * @param: userName
     * @return: void
     */
    void applyComplete(Long id, Boolean flag, Long userId);

    List<AuthApply> applyAuthList(int status, String corpId);

}
