import request from '@/utils/request'
const crmSystem = "/crmSystem"

// 查询已办任务列表
export function myTaskList(query) {
    return request({
        url: crmSystem + '/myTaskList',
        method: 'get',
        params: query
    })
}
//发起流程-提交表单
export function crmStart(procDefId,data) {
    return request({
        url: crmSystem +'/start/'+procDefId,
        method: 'post',
        data: data
    })
}
// 获取最新的crm-流程id flowKey=dgt-crm-workflow
export function selectByFlowKey(query) {
    return request({
        url: '/flowable/definition/selectByFlowKey',
        method: 'get',
        params: query
    })
}

// 任务流转记录
export function flowRecord(query) {
    return request({
        url: crmSystem + '/flowRecord',
        method: 'get',
        params: query
    })
}

// 撤回任务
export function revokeProcess(data) {
    return request({
        url: crmSystem +'/revokeProcess',
        method: 'post',
        data: data
    })
}


// 查询流程定义详细
export function getDeployment(id) {
    return request({
        url: crmSystem +'/deployment/' + id,
        method: 'get'
    })
}

// 新增流程定义
export function addDeployment(data) {
    return request({
        url: crmSystem +'/deployment',
        method: 'post',
        data: data
    })
}

// 修改流程定义
// export function updateDeployment(data) {
//     return request({
//         url: '/system/deployment',
//         method: 'put',
//         data: data
//     })
// }

// 删除流程定义
// export function delDeployment(id) {
//     return request({
//         url: '/flowable/instance/delete/' + id,
//         method: 'delete'
//     })
// }

